List all countries

Returns the complete list of countries with all available fields.

GET
/countries

Returns the complete list of countries with all available fields.

Query Parameters

fields?string

Comma-separated list of top-level fields to include, e.g. name,capital,flag. Overrides the lean default, so you can also request the normally-omitted fields (translations, altSpellings, maps, regionalBlocs). Use fields=full (or full=true) for the complete record.

full?boolean

Country responses are lean by default (they omit the bulky translations, altSpellings, maps and regionalBlocs fields). Set full=true to return the complete record instead.

sort?string

Field to sort the results by, e.g. population.

order?string

Sort direction (default asc).

limit?integer

Maximum number of results to return.

offset?integer

Number of results to skip, for pagination.

Response Body

application/json

curl -X GET "https://example.com/countries?fields=name%2Ccapital%2Cflag&full=true&sort=population&limit=10&offset=0"
[  {    "name": "Israel",    "topLevelDomain": [      ".il"    ],    "alpha2Code": "IL",    "alpha3Code": "ISR",    "callingCodes": [      "972"    ],    "capital": "Jerusalem",    "altSpellings": [      "string"    ],    "subregion": "Western Asia",    "region": "Asia",    "population": 9216900,    "latlng": [      31.5,      34.75    ],    "demonym": "Israeli",    "area": 20770,    "timezones": [      "UTC+02:00"    ],    "borders": [      "EGY",      "JOR",      "LBN",      "SYR"    ],    "nativeName": "ישראל",    "numericCode": "376",    "flags": {      "svg": "http://example.com",      "png": "http://example.com"    },    "currencies": [      {        "code": "ILS",        "name": "Israeli new shekel",        "symbol": "₪"      }    ],    "languages": [      {        "iso639_1": "he",        "iso639_2": "heb",        "name": "Hebrew",        "nativeName": "עברית"      }    ],    "flag": "🇮🇱",    "maps": {      "googleMaps": "http://example.com",      "openStreetMaps": "http://example.com"    },    "populationDensity": 443.6  }]